%if 0%{?fedora} >= 9
    %define locale_name kdialogd4
%else
    %define locale_name kdialogd3
%endif
## /etc/rpm/macros.cmake: -- adapted from the CMake packaging draft macro:
# http://fedoraproject.org/wiki/Packaging/cmake
%define _cmake_lib_suffix64 -DLIB_SUFFIX=64
%define __cmake %{_bindir}/cmake

%define cmake \
  CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ; \
  CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS ; \
  FFLAGS="${FFLAGS:-%optflags}" ; export FFLAGS ; \
  %__cmake \\\
%if "%{?_lib}" == "lib64" \
        %{?_cmake_lib_suffix64} \\\
%endif \
        -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \\\
        -DBUILD_SHARED_LIBS:BOOL=ON


Name:           kgtk
Version:        0.9.4
Release:        3%{?dist}
Summary:        Allows Gtk and Qt applications to use KDE's file dialogs

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://www.kde-apps.org/content/show.php?content=36077
Source0:        http://home.freeuk.com/cpdrummond/KGtk-%{version}.tar.bz2
Patch0:         kgtk-0.9.4-open_O_CREAT_parameters.patch
Patch1:         kgtk-0.9.4-intptr_t.patch
Patch2:         kgtk-0.9.4-kdelibs4.0_kconfig_api.patch
Patch3:         kgtk-0.9.4-kgtk-wrapper_gtk2_detection.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdelibs-devel gtk2-devel cmake gettext


%description
This is an LD_PRELOAD library that allows Gtk and Qt applications (such as
Firefox, Evolution, Eclipse, etc) to use KDE's file dialogs.

When a Gtk/Qt app is executed, it starts the kdialogd app (if not already
started), and communicates with this via a UNIX domain socket. There will only
ever be one instance of kdialogd, and all apps communicate with the same
instance - and it terminates itself 30 seconds after the last Gtk/Qt app has
disconnected.


%prep
%setup -q -n KGtk-%{version}
%patch0 -p1 -b .open_O_CREAT_parameters
%patch1 -p1 -b .intptr_t
%patch2 -p1 -b .kdelibs4.0_kconfig_api
%patch3 -p1 -b .kgtk-wrapper_gtk2_detection


%build
%if 0%{?fedora} >= 9
    %cmake -DKGTK_KDE4=true -DKGTK_KDE3=false .
%else
    %cmake -DKGTK_KDE3=true .
%endif
make VERBOSE=1 %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{locale_name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{locale_name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/*
%{_libdir}/kgtk


%changelog
* Tue Feb 13 2008 Francois Aucamp <faucamp@fedoraproject.org> - 0.9.4-3
- Added patch to fix kgtk-wrapper script's detection of client app's toolkit (RHBZ #432321)

* Tue Jan 29 2008 Francois Aucamp <faucamp@fedoraproject.org> - 0.9.4-2
- Added "intptr_t" patch to fix pointer-to-int conversion bug on 64-bit archs
- Added "kdelibs4.0_kconfig_api" patch to sync KConfig API to kdelibs 4.0 for F9+

* Mon Jan 28 2008 Francois Aucamp <faucamp@fedoraproject.org> - 0.9.4-1
- Update to version 0.9.4
- Dropped obsolete autotools patches
- Added conditional builds for KDE4 (F9+) and KDE3 (F8-)
- Added cmake lib64 suffix macro (to be removed if the global RPM cmake macros are accepted)
- Added TODO to package docs
- Added %%find_lang macro to gather locale files
- Changed License field from GPL to GPLv2+
- Added %%cmake macro to spec (until the macro is accepted globally in RPM)
- Added "open_O_CREAT_parameters" patch to fix usage of open()

* Thu Jan 25 2007 Francois Aucamp <faucamp@csir.co.za> - 0.8-2
- Created patch to prevent useless libkgtk.so.* symlinks during %%build
- Added package name/version prefix to patch filenames

* Wed Jan 24 2007 Francois Aucamp <faucamp@csir.co.za> - 0.8-1
- Initial RPM build
- Created patch for makefile to use correct installation paths
